Skip to main content
`Ctrl`+`K`

# DMPlexGetMeet

Get an array for the meet of the set of points

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetMeet(DM dm, PetscInt numPoints, const PetscInt points[], PetscInt *numCoveringPoints, const PetscInt *coveringPoints[])

Not Collective

## Input Parameters

- dm - The `DMPLEX` object

- numPoints - The number of input points for the meet

- points - The input points, of length `numPoints`

## Output Parameters

- numCoveringPoints - The number of points in the meet

- coveringPoints - The points in the meet, of length `numCoveringPoints`

## Note

Currently, this is restricted to a single level meet

## Fortran Note

`coveringPoints` must be declared with

      PetscInt, pointer :: coveringPoints(:)

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexRestoreMeet()`, `DMPlexGetJoin()`

## Level

intermediate

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages